$(function() {
    
    
    var image_dir       = $("#img_dir").val();
    
    var month_flag      = $(":input[name=month_flag]:checked").val();
    
    //デフォルトでは配送ペースを見せない
    $(".hidden_second_day").hide();
    
    
    //商品IDに紐付いた決済方法を自動切り替え
    var changePayment = function() {
        var item_id = "";
        var df = $.Deferred();
        var hidden_payment = $("#hidden_payment").val();
        $.ajax({
                    url:'/ajax/payment_change',
                    dataType: 'json',
                    type:"POST",
                    data: {
                        item_id:item_id
                    },
                    cache:false,
               success : function(json){
                    if(json){
                    
                        num = json.length;
                        $('#reg_payment label').remove();
                        for (i = 0; i < num; i=i+1) {
                            if(hidden_payment == json[i]["pym_id"]){
                                $('#reg_payment').append("<label><input type='radio' name='payment' value='"+json[i]["pym_id"]+"' checked />"+json[i]['pym_name']+"</label>  ");
                            }else{
                                $('#reg_payment').append("<label><input type='radio' name='payment' value='"+json[i]["pym_id"]+"' />"+json[i]['pym_name']+"</label>  ");
                            }
                            
                        };
                        
                    }

                    df.resolve();
               }
          })
        return df.promise();
        
    };
    
    //商品IDに紐付いたお届け希望日を自動切り替え
    var changeDay = function() {
        var item_id = $("#easybuy_value option:selected").attr("item_id");
        var df = $.Deferred();

        $.ajax({
                    url:'/ajax/change/day',
                    dataType: 'json',
                    type:"POST",
                    data: {
                        item_id:item_id
                    },
                    cache:false,
               success : function(json){
                    if(json){
                        
                        num = json.length;
                        $(':input[name=delivery_date] option').remove();
                        for (i = 0; i < num; i=i+1) {
                            $(':input[name=delivery_date]').append("<option value='"+ i+"'>"+ json[i]['value'] +"</option>");
                        };
                    }

                    df.resolve();
               }
          })
        return df.promise();
        
    };
    
    //商品IDに紐付いた配送ペースを自動切り替え
    var changePase = function() {
    
        var item_id = $("#easybuy_value option:selected").attr("item_id");
        var df = $.Deferred();

        var reg_pase_hidden = $("#reg_pase_hidden").val();
        
        $.ajax({
                    url:'/ajax/change/pase',
                    dataType: 'json',
                    type:"POST",
                    data: {
                        item_id:item_id
                    },
                    cache:false,
               success : function(json){
                    if(json){
                       if(json[0]['request_select'] == 1){
                            num = json.length;
                            $(".hidden_second_day").show();
                            $(':input[name=regury_pase] option').remove();
                            $(":input[name=regury_pase]").append('<option value="">▼選択</option>');
                            for (i = 0; i < num; i=i+1) {
                                if(reg_pase_hidden == json[i]['reg_pase']){
                                    $(':input[name=regury_pase]').append("<option value='"+ json[i]['reg_pase'] +"' selected>"+ json[i]['reg_name'] +"</option>");
                                }else{
                                    $(':input[name=regury_pase]').append("<option value='"+ json[i]['reg_pase'] +"'>"+ json[i]['reg_name'] +"</option>");
                                }
                            }
                        }else{
                            $(".hidden_second_day").hide();
                        }
                    }else{
                        $(".hidden_second_day").hide();
                    }
                    
                    if(reg_pase_hidden != ""){
                        if(reg_pase_hidden == 0 || reg_pase_hidden == 1 || reg_pase_hidden == 2){
                            $("#month_select_area").hide();
                            $("#week_select_area").show();
                        }else{
                            $("#month_select_area").show();
                            $("#week_select_area").hide();
                        }
                    }

                    df.resolve();
               }
          })
        return df.promise();
        
    };
    
    //商品の値段を取得
    var changeItemPrice = function() {
    
        var item_id         = $("#easybuy_value option:selected").attr("item_id");
        var item_value      = $("#easybuy_value option:selected").val();
        var item_num        = $(":input[name=item_num] option:selected").val();
        var regury_pase     = $(":input[name=regury_pase] option:selected").val();
        var reg_pase_hidden = $("#reg_pase_hidden").val();
        
        if(regury_pase == ""){
            if(reg_pase_hidden != ""){
                regury_pase = reg_pase_hidden;
            }
        }
        
        var df = $.Deferred();
        
        $.ajax({
                    url:'/ajax/change/item_price',
                    dataType: 'json',
                    type:"POST",
                    data: {
                        item_id:item_id,
                        item_value:item_value,
                        item_num:item_num,
                        regury_pase:regury_pase
                    },
                    cache:false,
               success : function(json){
                    if(json){
                        $("#reg_price").text(json);
                    }else{
                        $("#reg_price").text(0);
                    }
                    
                    //合計金額を取得
                    var postage_price  = $("#reg_postage").text();
                    var post_fee_price = $("#reg_post_fee").text();
                    var total_price = (eval(json) + eval(postage_price) + eval(post_fee_price));
                    $("#reg_total_price").text(total_price);
                    
                    df.resolve();
               }
               
        })
        return df.promise();
    };
    

    //手数料関係の値段を取得
    var changePaymentPrice = function() {
    
        var item_price  = $("#reg_price").text();
        var payment     = $(":input[name=payment]:checked").val();
        var item_id     = $("#easybuy_value option:selected").attr("item_id");
        
        var df = $.Deferred();
        
        $.ajax({
                    url:'/ajax/change/payment_price',
                    dataType: 'json',
                    type:"POST",
                    data: {
                        item_price:item_price,
                        payment:payment,
                        item_id:item_id
                    },
                    cache:false,
               success : function(json){
                    if(json){
                        $("#reg_post_fee").text(json);
                    }else{
                        $("#reg_post_fee").text(0);
                    }
                    
                    //合計金額を取得
                    var postage_price  = $("#reg_postage").text();
                    var total_price = (eval(item_price) + eval(postage_price) + eval(json));
                    $("#reg_total_price").text(total_price);
                    
                    df.resolve();
               }
        })
        return df.promise();
    };
    
    //送料の取得
    var changePostagePrice = function() {
    
        var item_price  = $("#reg_price").text();
        var pref        = $(":input[name=pref] option:selected").text();
        var postal_code = $(":input[name=postal_code]").val();
        var item_id     = $("#easybuy_value option:selected").attr("item_id");
        
        var df = $.Deferred();
        
        $.ajax({
                    url:'/ajax/change/postage_price',
                    dataType: 'json',
                    type:"POST",
                    data: {
                        item_price:item_price,
                        pref:pref,
                        postal_code:postal_code,
                        item_id:item_id
                    },
                    cache:false,
               success : function(json){
                    if(json){
                        $("#reg_postage").text(json);
                    }else{
                        $("#reg_postage").text(0);
                    }
                    
                    //合計金額を取得
                    var post_fee_price = $("#reg_post_fee").text();
                    var total_price = (eval(item_price) + eval(json) + eval(post_fee_price));
                    $("#reg_total_price").text(total_price);
                    
                    df.resolve();
               }
        })
        return df.promise();
    };
    
    
    
    
    
   
    
    //数量を切り替えたとき
    $(':input[name=item_num]').change(function() {
        changeItemPrice();
    });
    
    //決済方法を切り替えたとき
    $('#reg_payment').change(function() {
        changePaymentPrice();
    });
    
    //都道府県を切り替えたとき
    $(':input[name=pref]').change(function() {
        changePostagePrice();
    });
    
    //商品選択を切り替えたとき
    $('#easybuy_value').change(function() {
        changePayment();
        changeDay();
        changePase();
        $(".creditInputForm").hide();
        $(".convenienceForm").hide();
        $(".npForm").hide();
        $(".credit").hide();
        changeItemPrice();
        form_color();
    });
    
    
    //値がPOSTされてエラー出た時
    var p_easybuy_value    = $(":input[name=easybuy_value]").val();
    var p_pref             = $(":input[name=pref]").val();
    var p_payment          = $(":input[name=payment]:checked").val();

    if(p_payment != ""){
        changePaymentPrice();
    }

    if(p_pref != ""){
        changePostagePrice();
    }
    
    if(p_easybuy_value != ""){
        changeItemPrice();
        changePase();
    }
    //フォームのバックグランドカラーを変更////////////////////////////////////
    var form_color = function() {

        //バックグラウンドカラー
        var back_image         = "#dcdcdc";
        //デフォルトカラー
        var default_image      = "#ffffff";

        //フォームの値
        var c_easybuy_value    = $(":input[name=easybuy_value]").val();
        var c_regury_pase      = $("#reg_pase_hidden").val();
        var c_family_name      = $(":input[name=family_name]").val();
        var c_given_name       = $(":input[name=given_name]").val();
        var c_family_name_kana = $(":input[name=family_name_kana]").val();
        var c_given_name_kana  = $(":input[name=given_name_kana]").val();
        var c_postal_code      = $(":input[name=postal_code]").val();
        var c_pref             = $(":input[name=pref]").val();
        var c_address1         = $(":input[name=address1]").val();
        var c_address2         = $(":input[name=address2]").val();
        var c_tel              = $(":input[name=tel]").val();
        var c_email            = $(":input[name=email]").val();
        var c_payment          = $(":input[name=payment]:checked").val();

        //通常時の処理
        if(c_easybuy_value != "0"){
            
            $(":input[name=easybuy_value]").css("background-color",default_image);
        }else{
            $(":input[name=easybuy_value]").css("background-color",back_image);
        }

        if(c_regury_pase != ""){
            $(":input[name=regury_pase]").css("background-color",default_image);
        }else{
            $(":input[name=regury_pase]").css("background-color",back_image);
        }

        if(c_family_name != ""){
            $(":input[name=family_name]").css("background-color",default_image);
        }else{
            $(":input[name=family_name]").css("background-color",back_image);
        }

        if(c_given_name != ""){
            $(":input[name=given_name]").css("background-color",default_image);
        }else{
            $(":input[name=given_name]").css("background-color",back_image);
        }

        if(c_family_name_kana != ""){
            $(":input[name=family_name_kana]").css("background-color",default_image);
        }else{
            $(":input[name=family_name_kana]").css("background-color",back_image);
        }

        if(c_given_name_kana != ""){
            $(":input[name=given_name_kana]").css("background-color",default_image);
        }else{
            $(":input[name=given_name_kana]").css("background-color",back_image);
        }

        if(c_postal_code != ""){
            $(":input[name=postal_code]").css("background-color",default_image);
        }else{
            $(":input[name=postal_code]").css("background-color",back_image);
        }

        if(c_pref != ""){
            $(":input[name=pref]").css("background-color",default_image);
        }else{
            $(":input[name=pref]").css("background-color",back_image);
        }

        if(c_address1 != ""){
            $(":input[name=address1]").css("background-color",default_image);
        }else{
            $(":input[name=address1]").css("background-color",back_image);
        }

        if(c_address2 != ""){
            $(":input[name=address2]").css("background-color",default_image);
        }else{
            $(":input[name=address2]").css("background-color",back_image);
        }

        if(c_tel != ""){
            $(":input[name=tel]").css("background-color",default_image);
        }else{
            $(":input[name=tel]").css("background-color",back_image);
        }

        if(c_email != ""){
            $(":input[name=email]").css("background-color",default_image);
        }else{
            $(":input[name=email]").css("background-color",back_image);
        }


        if(c_payment == ""){
            $("#reg_payment").css("background-color",default_image);
        }else{
            $("#reg_payment").css('background-color', back_image);
        }
        




        //動作した後のカラー変更処理
        $(":input[name=easybuy_value]").live('change', function()  {
            if($(this).val() == "0"){
                $(this).css("background-color",back_image);
            }else{
                $(this).css('background-color', default_image);
            }
        });

        $(":input[name=regury_pase]").live('change', function() {
            if($(this).val() == ""){
                $(this).css("background-color",back_image);
            }else{
                $(this).css('background-color', default_image);
            }
        });

        $(":input[name=family_name]").blur(function() {
            if($(this).val() == ""){
                $(this).css("background-color",back_image);
            }else{
                $(this).css('background-color', default_image);
            }
        });

        $(":input[name=given_name]").blur(function() {
            if($(this).val() == ""){
                $(this).css("background-color",back_image);
            }else{
                $(this).css('background-color', default_image);
            }
        });

        $(":input[name=family_name_kana]").blur(function() {
            if($(this).val() == ""){
                $(this).css("background-color",back_image);
            }else{
                $(this).css('background-color', default_image);
            }
        });

        $(":input[name=given_name_kana]").blur(function() {
            if($(this).val() == ""){
                $(this).css("background-color",back_image);
            }else{
                $(this).css('background-color', default_image);
            }
        });

        $(":input[name=pref]").live('change', function()  {
            if($(this).val() == ""){
                $(this).css("background-color",back_image);
            }else{
                $(this).css('background-color', default_image);
            }
        });

        $(":input[name=address1]").blur(function() {
            if($(this).val() == ""){
                $(this).css("background-color",back_image);
            }else{
                $(this).css('background-color', default_image);
            }
        });

        $(":input[name=address2]").blur(function() {
            if($(this).val() == ""){
                $(this).css("background-color",back_image);
            }else{
                $(this).css('background-color', default_image);
            }
        });

        $(":input[name=tel]").blur(function() {
            if($(this).val() == ""){
                $(this).css("background-color",back_image);
            }else{
                $(this).css('background-color', default_image);
            }
        });

        $(":input[name=email]").blur(function() {
            if($(this).val() == ""){
                $(this).css("background-color",back_image);
            }else{
                $(this).css('background-color', default_image);
            }
        });



        $(":input[name=payment]").live('change', function() {
            $("#reg_payment").css("background-color",default_image);
        });

    };
    //フォームのバックグランドカラーを変更////////////////////////////////////
    
    
   
    
    
    
    
    
    
    //配送ペースを切り替えたとき
    $(":input[name=regury_pase]").live('change', function() {
        if($(this).val() != 0){
            if($(this).val() == "1W" || $(this).val() == "2W" || $(this).val() == "3W"){
                $("#month_select_area").hide();
                $("#week_select_area").show();
            }else{
                $("#month_select_area").show();
                $("#week_select_area").hide();
            }
        }
        
        changeItemPrice();
        form_color();
    });
    
    
    //2回目以降のお届け日の月選択の制御切り替え///////////////////////////////////
    if(month_flag == 1){
        $(":input[name=regury_num_w]").attr("disabled","disabled");
        $(":input[name=regury_select]").attr("disabled","disabled");
        $(":input[name=second_day]").removeAttr("disabled");
        $(":input[name=regury_num_w]").css("background-color","#efefef");
        $(":input[name=regury_select]").css("background-color","#efefef");
        $(":input[name=second_day]").css("background-color","#ffffff");
    }else{
        $(":input[name=regury_num_w]").removeAttr("disabled");
        $(":input[name=regury_select]").removeAttr("disabled");
        $(":input[name=second_day]").attr("disabled","disabled");
        $(":input[name=second_day]").css("background-color","#efefef");
        $(":input[name=regury_num_w]").css("background-color","#ffffff");
        $(":input[name=regury_select]").css("background-color","#ffffff");
    }
    
    $(":input[name=month_flag]").live('change', function() {
        if($(this).val() == 1){
            $(":input[name=regury_num_w]").attr("disabled","disabled");
            $(":input[name=regury_select]").attr("disabled","disabled");
            $(":input[name=second_day]").removeAttr("disabled");
            $(":input[name=regury_num_w]").css("background-color","#efefef");
            $(":input[name=regury_select]").css("background-color","#efefef");
            $(":input[name=second_day]").css("background-color","#ffffff");
        }else{
            $(":input[name=regury_num_w]").removeAttr("disabled");
            $(":input[name=regury_select]").removeAttr("disabled");
            $(":input[name=second_day]").attr("disabled","disabled");
            $(":input[name=second_day]").css("background-color","#efefef");
            $(":input[name=regury_num_w]").css("background-color","#ffffff");
            $(":input[name=regury_select]").css("background-color","#ffffff");
        }
    });
    //2回目以降のお届け日の月選択の制御切り替え///////////////////////////////////
    
    
    //定期購入の今すぐお申込みボタンを押した時
    $(".btn_b1").live('click', function() {
        var reg_val = $(this).attr("reg_val");

        $(".reg_num").val(0);
        

        $(':input[name=easybuy_value] option').remove();
        $("#easybuy_value").append('<option value="0"">-- 選択してください --</option>');
        $(":input[name='reg_select[]']").each(function(){
            if($(this).val() == reg_val){
                $('#easybuy_value').append($("<option item_id="+$(this).attr("item_id")+" request_select="+$(this).attr("request_select")+" selected></option>").val($(this).val()).text($(this).attr("reg_name")));
            }else{
                $('#easybuy_value').append($("<option item_id="+$(this).attr("item_id")+" request_select="+$(this).attr("request_select")+"></option>").val($(this).val()).text($(this).attr("reg_name")));
            }
        });
        
        changePayment();
        changeDay();
        changePase();
        $(".creditInputForm").hide();
        $(".convenienceForm").hide();
        $(".npForm").hide();
        $(".credit").hide();
        $(".hidden_second_day").show();
        form_color();
        changeItemPrice();
    });

    
    //まとめて申込みボタンを押した時
    $(".btn_b3").live('click', function() {
        var reg_val = $(this).attr("reg_val");

        $(".reg_num").val(2);
   
        $(':input[name=easybuy_value] option').remove();
        $("#easybuy_value").append('<option value="0"">-- 選択してください --</option>');
        $(":input[name='set_select[]']").each(function(){
            if($(this).val() == reg_val){
                $('#easybuy_value').append($("<option item_id="+$(this).attr("item_id")+" request_select='' selected></option>").val($(this).val()).text($(this).attr("reg_name")));
            }else{
                $('#easybuy_value').append($("<option item_id="+$(this).attr("item_id")+" request_select='' ></option>").val($(this).val()).text($(this).attr("reg_name")));
            }

        });
        
        changePayment();
        $(".hidden_second_day").hide();
        form_color();
        changeItemPrice();
    });


    //通常購入の今すぐお申込みボタンを押した時
     $(".btn_b2").live('click', function() {
        var reg_val        = $(this).attr("reg_val");

        $(".reg_num").val(3);
        $(':input[name=easybuy_value] option').remove();
        $("#easybuy_value").append('<option value="0"">-- 選択してください --</option>');
        $(":input[name='normal_select[]']").each(function(){
            
            if($(this).val() == reg_val){
                $('#easybuy_value').append($("<option item_id="+$(this).attr("item_id")+" request_select='' selected></option>").val($(this).val()).text($(this).attr("reg_name")));
            }else{
                $('#easybuy_value').append($("<option item_id="+$(this).attr("item_id")+" request_select='' ></option>").val($(this).val()).text($(this).attr("reg_name")));
            }

        });

        changePayment();
        
        $(".hidden_second_day").hide();
        form_color();
        changeItemPrice();
    });
    
    
    
    form_color();
    
});